Ubuntu-Austria Foren-Übersicht
Portal  •  Forum  •  Profil  •  Suchen   •  Registrieren  •  Einloggen, um private Nachrichten zu lesen  •  Login   

 OnlineBanking > Java

Neues Thema eröffnenNeue Antwort erstellen
Autor Nachricht
Ares-theDeath




Geschlecht:
Alter: 27
Anmeldungsdatum: 30.08.2008
Beiträge: 1
Wohnort: Feldkirch


austria.gif

BeitragVerfasst am: 30.08.2008, 01:44    OnlineBanking > Java Antworten mit ZitatNach oben

Edit by Admin: Diese Anleitung sollte nicht mehr durgeführt werden... da das ganze automatisch über den Paketemanager installiert werden kann... siehe Folgebeitrag!


Guten Abend Liebe User
für alle die mit ihrem Ubuntu es nicht schaffen sich beim Online banking der Sparkasse anzumelden:
1)
System -> Systemverwaltung -> Synaptic-Paketverwaltung öffnen
unter suche: jre eingeben
sun-java6-jre anklicken und zu installation vormerken, danach auf anwenden klicken und installieren

2) firefox starten (nur nötig falls das javaplugin noch nicht installiert wurde)
http://java.com/de/download/installed.jsp und auf "Java Version überprüfen" klicken, euer FF wird euch sagen, dass ein plugin fehlt klick auf die zeile und wählt ein JAVA plugin aus (meines: Java(TM) Plug-in 1.6.0_06-b02) danach FF beenden

3) öffnet den (oder das?) Terminal:
cd .mozilla

ihr seid nun im versteckten mozilla ordner
ls

wenn ihr nun einen ordner seht mit dem namen plugins könnt ihr zu schritt 4 gehen
ansonsten:
mkdir plugins


4)
im terminal
 cp ~/usr/lib/jvm/java-6-sun-1.6.0.06/jre/plugin/i386/ns7/libjavaplugin_oji.so ~/.mozilla/plugins

Enter drücken und FF neustarten wink
hf beim onlinebanking

Legende:
FF = Firefox

Wichtig:
nach jedem befehl in der konsole ENTER drücken
gegebenenfalls müsst ihr die versions nummer von eurem java angeben
z.b. java-7-......

LG Ares-theDeath

p.s. ^^ich hoffe das dieses tutorial auch für jemanden verständlich is der zum erstenmal ein unix / linux system verwendet

ich kann keine garantie dafür übernehmen dass dieser lösungsweg bei allen funktioniert


Desktop: Gnome

Version: 8.04
OfflineBenutzer-Profile anzeigenPrivate Nachricht senden    
Webbutterfly
Administrator



Geschlecht:
Alter: 62
Anmeldungsdatum: 24.06.2006
Beiträge: 6917
Wohnort: Wien 23


austria.gif

BeitragVerfasst am: 01.09.2008, 14:39    (Kein Titel) Antworten mit ZitatNach oben

...wer es einfacher und sicher haben will, der installiert sich die (xubuntu)- (kubuntu)- ubuntu-restrited-extras mit dem Paketmanager und erhält außer Java noch Flash, alle Multiamedia-Codecs und die MS-Core-Fonts dazu... sollte es Updates geben, werden auch diese automatisch mit der Aktualisierungsverwaltung installiert...

Marion


Desktop: Gnome-Shell 3.X

Version: 14.04 and 16.04

Hardware: Notebook

Architektur: 64Bit

_________________

European Open Source Center
www.webbutterfly.com

OfflineBenutzer-Profile anzeigenPrivate Nachricht sendenWebsite dieses Benutzers besuchen    
jackcy




Geschlecht:
Alter: 42
Anmeldungsdatum: 07.01.2007
Beiträge: 7
Wohnort: Wien


austria.gif

BeitragVerfasst am: 01.09.2008, 20:11    (Kein Titel) Antworten mit ZitatNach oben

Einziger Nachteil mit der repo-Java Version:
Das Ändern des Passwortes funktioniert leider nicht. Springt jedesmal nach dem TAC eingeben wieder zurück auf die Vor-Maske. Sonst gibt es keine Einschränkungen im Funktionsumfang.


Desktop: Gnome, KDE and XFCE

Version: 8.04
OfflineBenutzer-Profile anzeigenPrivate Nachricht senden    
jackcy




Geschlecht:
Alter: 42
Anmeldungsdatum: 07.01.2007
Beiträge: 7
Wohnort: Wien


austria.gif

BeitragVerfasst am: 31.10.2008, 08:09    (Kein Titel) Antworten mit ZitatNach oben

Aktuelle News: mit der neuen Version von sun6-java-plugins in ubuntu 8.10 ist das Problem beim Passwortwechsel nicht mehr vorhanden.

Desktop: Gnome, KDE and XFCE

Version: 8.04
OfflineBenutzer-Profile anzeigenPrivate Nachricht senden    
christianf




Geschlecht:
Alter: 34
Anmeldungsdatum: 28.01.2009
Beiträge: 25
Wohnort: Steiermark


austria.gif

BeitragVerfasst am: 28.01.2009, 12:51    (Kein Titel) Antworten mit ZitatNach oben

@Webbutterfly
hat bei mir mit firefox Browser funktioniert,
leider beim Opera noch immer nicht.

Aber Danke! Very Happy


Desktop: Gnome

Version: 11.04

Architektur: 32Bit
OfflineBenutzer-Profile anzeigenPrivate Nachricht senden    
Christoph.hores




Geschlecht:
Alter: 38
Anmeldungsdatum: 15.05.2009
Beiträge: 2
Wohnort: Maria Enzersdorf


austria.gif

BeitragVerfasst am: 24.05.2009, 21:22    (Kein Titel) Antworten mit ZitatNach oben

Hallo!

Ich habe seit einigen Tagen Ubuntu als Betriebssystem und bin begeistert!

Ich habe aber leider nicht so viel Ahnung von Computern wie die meisten Anderen in diesem Forum...

Auch ich habe das Problem das mein Netbanking nicht funktioniert.

Wenn ich bei Anwendungen hinzufügen/entfernen "Eingeschränkte Extras für Umbuntu" auswähle, wie Marion es in Ihrem Beitrag beschrieben hat, so kommt folgente Meldung!

Es besteht ein Konflikt zwischen der zu installierenden Anwendung und einer bereits vorhandener Software. Um »ubuntu-restricted-extras« zu installieren, muss die in Konflikt stehende Software entfernt werden. Wechseln Sie in die Paketverwaltung »Synaptic«, um diesen Konflikt aufzulösen.

Jetzt bin ich bei PC und überhaupt bei Linux kein Profi und will da nicht zu viel herum doktetern wenn ich mich noch gar nicht genug auskenne...

Kann mir da bitte einer helfen???

Was soll ich da jetzt machen??
Kann ich da größere Blödheiten machen, oder kann ich einfach probieren und gemachte Fehler wieder zurücksetzen???

PS.: Ich habe jetzt über http://java.com, Java Version 6 herunter geladen, jetzt funktioniert das Online Banking!
War das jetzt ein guter Weg, oder sollte ich dennoch noch etwas anderes berücksichtigen?

Danke für eure Hilfe!


Desktop: Gnome

Version: 9.04
OfflineBenutzer-Profile anzeigenPrivate Nachricht sendenE-Mail senden    
Webbutterfly
Administrator



Geschlecht:
Alter: 62
Anmeldungsdatum: 24.06.2006
Beiträge: 6917
Wohnort: Wien 23


austria.gif

BeitragVerfasst am: 25.05.2009, 09:16    (Kein Titel) Antworten mit ZitatNach oben

Hello

Nun, es war der schlechteste Weg... nicht, dass es auch funktioniert, doch so sollte es man nicht machen.

Es gibt eine wunderbare Paketverwaltung, die alle Abhängigkeiten von Programmen auflöst... passendes dazu selektiert und anderes, nicht dazugehöriges/passendes entfernt. Weiters sind diese Pakete alle durch einen Key der Repositories abgesichert und an Ubuntu angepasst.

Wenn also beim Installieren über die Paketverwaltung die Information kommt, dass einige Pakete entfernt werden, so ist das richtig und sollte, so wie es ist, genommen werden.

Wen Pakete aus Fremdquellen installiert werden, werden sie erstens nicht in die Paketverwaltung aufgenommen, lassen sich meistens schwer deinstallieren und es gibt keine Updates dafür... weiters, bei mehreren solchen Installationen kann es zur Instabilität der Systems kommen, weil nie sicher ist, dass alles noch nach einem Systemupdate zusammen passt.

Hoffe, dass ist ausreichend erklärt....

Marion

PS: Es wäre also besser vorher zu Fragen...


Desktop: Gnome-Shell 3.X

Version: 14.04 and 16.04

Hardware: Notebook

Architektur: 64Bit

_________________

European Open Source Center
www.webbutterfly.com

OfflineBenutzer-Profile anzeigenPrivate Nachricht sendenWebsite dieses Benutzers besuchen    
Christoph.hores




Geschlecht:
Alter: 38
Anmeldungsdatum: 15.05.2009
Beiträge: 2
Wohnort: Maria Enzersdorf


austria.gif

BeitragVerfasst am: 25.05.2009, 19:07    (Kein Titel) Antworten mit ZitatNach oben

Danke!!!

Ich werde also in Zukunft in der Paketverwaltung gründlicher suchen, da waren aber einige Pakete die mit mit dem Begriff "Java" zu finden waren, woher kann ich wissen welches Paket jetzt für mein Problem das richtige ist?
Mein Computerenglisch bzw. meine Kenntnisse sind da leider nicht so sattelfest...


Desktop: Gnome

Version: 9.04
OfflineBenutzer-Profile anzeigenPrivate Nachricht sendenE-Mail senden    
Webbutterfly
Administrator



Geschlecht:
Alter: 62
Anmeldungsdatum: 24.06.2006
Beiträge: 6917
Wohnort: Wien 23


austria.gif

BeitragVerfasst am: 25.05.2009, 20:10    (Kein Titel) Antworten mit ZitatNach oben

Very Happy

..darum empfehle ich ja die (k)ubuntu-restricted-extras zu installieren... Das ist ein Meta-Paket und beihaltet alles das, was "unfrei" ist.
Wie: Java, Flash, mp3, Video-Codecs, Schriften wie Arial, usw.
Mit diesem Paket ist alles mit einem Rutsch installiert und es ist mal alles so da, was man braucht und muss sich nicht alles extra zusammen suchen.
Es gibt auch eine Installationsanleitung für 9.04 für alles was notwendig ist als PDF und als Video.

Es ist auch für Anfänger besser unter >Anwendungen >Hinzufügen/Entfernen zu verwenden.

Marion


Desktop: Gnome-Shell 3.X

Version: 14.04 and 16.04

Hardware: Notebook

Architektur: 64Bit

_________________

European Open Source Center
www.webbutterfly.com

OfflineBenutzer-Profile anzeigenPrivate Nachricht sendenWebsite dieses Benutzers besuchen    
georg_gut




Geschlecht:

Anmeldungsdatum: 16.10.2008
Beiträge: 78
Wohnort: München


switzerland.gif

BeitragVerfasst am: 30.06.2009, 09:55    (Kein Titel) Antworten mit ZitatNach oben

Hallo Zusammen,

ich habe auf meinem x61s ubuntu 9.04 Jaunty installiert, es läuft auch alles wunderbar, bis auf Java.
Ich die beiden Pakete sun-java6-jre sun-java6-bin und sun-java6-plugin installiert.

about:config sagt dieses wenn ich nach java suche:
Zitat:

browser.urlbar.filter.javascript;true
java.default_java_location_others;/usr/java
java.default_java_location_solaris;/usr/j2se
java.global_java_version_file;/etc/.java/versions
java.java_plugin_library_name;javaplugin_oji
java.private_java_version_file;~/.java/versions
javascript.allow.mailnews;false
javascript.enabled;true
javascript.options.relimit;false
javascript.options.showInConsole;false
javascript.options.strict;false
network.protocol-handler.external.javascript;false
security.enable_java;true


Wenn ich auf meine Java Anwendung mit Firefox 3.0.11 zugreife bekomme ich immer ein Hinweis dass kein Java installiert ist.
Wenn ich unter Plugins im FF nachsehe ist die libnpj2p.so als installiert drin. Wenn ich deaktivieren aktivieren ausführe und die Browseranwendung aktualisiere funktioniert es.
Fehlt hier ein Link oder woran liegt das Problem?
Mit Iceadtea funktionierte es auch nicht.
Unter /home/user/.mozilla habe ich auch keinen Order Plugin.

Danke für einen Tipp

Georg


Desktop: anderer

Version: 14.04

Hardware: Notebook and andere

Architektur: 32Bit and 64Bit
OfflineBenutzer-Profile anzeigenPrivate Nachricht senden    
Webbutterfly
Administrator



Geschlecht:
Alter: 62
Anmeldungsdatum: 24.06.2006
Beiträge: 6917
Wohnort: Wien 23


austria.gif

BeitragVerfasst am: 30.06.2009, 10:32    (Kein Titel) Antworten mit ZitatNach oben

Hello

..du müsstest in deinem Home unter
~/.mozilla/plugins
einen Softlink auf Java haben...

@libjavaplugin_oji.so
/usr/lib/jvm/java-6-sun/jre/plugin/i386/ns7/libjavaplugin_oji.so

wo dein Java liegt bekommst du mit:
update-alternatives --list java
/usr/lib/jvm/java-6-sun/jre/bin/java


Marion


Desktop: Gnome-Shell 3.X

Version: 14.04 and 16.04

Hardware: Notebook

Architektur: 64Bit

_________________

European Open Source Center
www.webbutterfly.com

OfflineBenutzer-Profile anzeigenPrivate Nachricht sendenWebsite dieses Benutzers besuchen    
georg_gut




Geschlecht:

Anmeldungsdatum: 16.10.2008
Beiträge: 78
Wohnort: München


switzerland.gif

BeitragVerfasst am: 30.06.2009, 10:39    (Kein Titel) Antworten mit ZitatNach oben

@Danke Marion,

wie erzeuge ich diesen Softlink und kann ich den Ordner Plugins einfach so erstellen?

Danke Georg


Desktop: anderer

Version: 14.04

Hardware: Notebook and andere

Architektur: 32Bit and 64Bit
OfflineBenutzer-Profile anzeigenPrivate Nachricht senden    
Webbutterfly
Administrator



Geschlecht:
Alter: 62
Anmeldungsdatum: 24.06.2006
Beiträge: 6917
Wohnort: Wien 23


austria.gif

BeitragVerfasst am: 30.06.2009, 11:09    (Kein Titel) Antworten mit ZitatNach oben

Ja....
mkdir .mozilla/plugins

ln -s /usr/lib/jvm/java-6-sun/jre/plugin/i386/ns7/libjavaplugin_oji.so .mozilla/plugins/


ausgehend von deinem Home-Verzeichnis
ACHTUNG! Der Pfad muss stimmen, also mit TAB arbeiten!, nicht von hier kopieren!..kann bei dir anders sein.

Marion


Desktop: Gnome-Shell 3.X

Version: 14.04 and 16.04

Hardware: Notebook

Architektur: 64Bit

_________________

European Open Source Center
www.webbutterfly.com

OfflineBenutzer-Profile anzeigenPrivate Nachricht sendenWebsite dieses Benutzers besuchen    
georg_gut




Geschlecht:

Anmeldungsdatum: 16.10.2008
Beiträge: 78
Wohnort: München


switzerland.gif

BeitragVerfasst am: 30.06.2009, 11:24    (Kein Titel) Antworten mit ZitatNach oben

@Marion

Danke Dir jetzt funktioniert es.
Nur was noch stört ist, wenn ich mich in die Anwendung einlogge kommt immer noch ein Popup, dass Java fehlt.
Wenn ich diesen wegklicke und kurz warte ist aber der jabber-java und messenger verbunden und funktioniert.

Gibt es dafür noch etwas kosmetik? wink

Grüße nach Wien Georg


Desktop: anderer

Version: 14.04

Hardware: Notebook and andere

Architektur: 32Bit and 64Bit
OfflineBenutzer-Profile anzeigenPrivate Nachricht senden    
Beiträge der letzten Zeit anzeigen:      
Neues Thema eröffnenNeue Antwort erstellen


 Gehe zu:   



Berechtigungen anzeigen


Forensicherheit

1008050156951 Angriffe abgewehrt

Powered by Orion based on phpBB © 2001, 2002 phpBB Group
CBACK Orion Style based on FI Theme
Alle Zeiten sind GMT + 2 Stunden



[ Page generation time: 0.144s (PHP: 66% - SQL: 34%) | SQL queries: 90 | GZIP enabled | Debug off ]